/*global Drupal, jQuery*/
Drupal.behaviors.euccRocketshipReopenLink = {
  attach: function (context, settings) {
    (function ($) {

      // Init when the popup has opened
      var body = $('body');
      var excluded = false;
      body.once('euccRocketshipReopenLink').each(function() {
        var links = $('a[href$="#eucc-open"]');
        links.click(function (e) {
          e.preventDefault();
          if (typeof settings.eu_cookie_compliance_rocketship__excluded_path != 'undefined' && settings.eu_cookie_compliance_rocketship__excluded_path) {
            excluded = true;
          }
          if (excluded) {
            body.addClass('eu-cookie-compliance-rocketship--show-excluded');
            body.trigger('eu_cookie_compliance_rocketship__show_excluded');
          }
          var popup = $('#sliding-popup');
          if (!popup.length) {
            if (window.matchMedia('(max-width: ' + settings.eu_cookie_compliance.mobile_breakpoint + 'px)').matches
              && settings.eu_cookie_compliance.use_mobile_message) {
              Drupal.eu_cookie_compliance.createPopup(settings.eu_cookie_compliance.mobile_popup_html_info, false);
            } else {
              Drupal.eu_cookie_compliance.createPopup(settings.eu_cookie_compliance.popup_html_info, false);
            }
            Drupal.eu_cookie_compliance.initPopup();
          }
          else {
            popup.css({ top: 0 });
            popup.trigger('eu_cookie_compliance_popup_open');
          }
        });
        $(this).on('eu_cookie_compliance_rocketship__popup_close', function () {
          body.removeClass('eu-cookie-compliance-rocketship--show-excluded');
        });
      });

    }(jQuery));
  }
};
